package cn.hmsoft.weixin.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.hmsoft.frame.data.model.FrameOptr;
import cn.hmsoft.frame.service.FrameService;
import cn.hmsoft.weixin.data.dao.WxMenuDefineDao;
import cn.hmsoft.weixin.data.model.WxMenuDefine;

@Service
public class WxMenuService extends FrameService {

	@Autowired
	private WxMenuDefineDao daoMenu;

	public void saveMenu(int wx_id,WxMenuDefine menu, FrameOptr optr) {

		String sql = "update wx_menu_define set menu_text=?,menu_param=?,menu_type=?,menu_status=? where menu_key=? and wx_id=?";
		this.daoMenu.updateBySql(sql,menu.getMenu_text(),menu.getMenu_param(),menu.getMenu_type(),menu.getMenu_status(),menu.getMenu_key(),menu.getWx_id());
	}
	
	public void resetMenu(int wx_id, FrameOptr optr) {

		String sql = "delete from wx_menu_define where wx_id=?";
		this.daoMenu.updateBySql(sql, wx_id);
		for(WxMenuDefine menu:this.daoMenu.listMenu(0)){
			menu.setWx_id(wx_id);
			this.daoMenu.insert(menu);
		}
	}
}
